/* @import url("https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700;800;900&display=swap"); */

@import url("https://fonts.googleapis.com/css2?family=Lato:wght@400;700;900&display=swap");
@tailwind base;
@tailwind components;
@tailwind utilities;

:root {
  --white: #fff;

  /* --darkOne: #080808; */
  --darkTwo: #15202f;
  --darkThree: #2b3037;
  --darkFour: #141c26;

  --greenPrimary: #00a653;
  --greenSecondary: #34d399;

  --cyan: #22d3ee;

  --purplePrimary: #5a1c8e;
  --purpleSecondary: #7b22c9;
  --purpleLight: #d8b4fe;

  --redLight: #fca5a5;
}
@layer base {
  body {
    font-size: 16px;
    font-weight: 400;
    background-color: var(--darkThree);
  }
  ::-webkit-scrollbar {
    width: 6px;
    height: 8px;
  }

  ::-webkit-scrollbar-track {
    border-radius: 100vh;
    background: transparent;
  }

  ::-webkit-scrollbar-thumb {
    background: var(--white);
    border-radius: 100vh;
    border: 3px solid transparent;
  }
  html {
    scroll-behavior: smooth;
  }
}

@layer components {
  .btn_primary {
    @apply hover:bg-gradient-to-r hover:from-purple-700 hover:to-purple-400;
  }
  .active_btn_primary {
    @apply bg-gradient-to-r from-purple-700 to-purple-400;
  }
}
